View Issue Details

IDProjectCategoryView StatusLast Update
17235Bug reportsSurvey participants (Tokens)public2021-04-22 16:24
Reportergabrieljenik Assigned Togabrieljenik  
PrioritynoneSeveritycrash 
Status resolvedResolutionfixed 
Product Version3.x 
Summary17235: Token additional attributes are blank after editing
DescriptionAdditional attributes are not saved or not shown after.
I think not saved
Steps To ReproduceI entered the info in the “additional attributes” tab (the 2 fields) when I add survey participants. Once the participant was added, I went into “display participant” table, clicked “edit survey participant” and noticed the info I added in the “additional attributes” was blank.
TagsNo tags attached.
Complete LimeSurvey version number (& build)3.22.13
I will donate to the project if issue is resolved
Browser
Database & DB-Version
Server OS (if known)
Webserver software & version (if known)
PHP Version

Activities

gabrieljenik

gabrieljenik

2021-04-09 19:39

manager   ~63904

This happened after an upgrade, as the token_attribute property on the survey has been corrupetd.
gabrieljenik

gabrieljenik

2021-04-15 22:56

manager   ~63982

Master: https://github.com/LimeSurvey/LimeSurvey/pull/1845
LTS: https://github.com/LimeSurvey/LimeSurvey/pull/1846
gabrieljenik

gabrieljenik

2021-04-20 15:11

manager   ~64049

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31608
gabrieljenik

gabrieljenik

2021-04-20 15:11

manager   ~64050

Fix committed to 3.x-LTS branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=31609

Related Changesets

LimeSurvey: master 44285343

2021-04-20 15:11:20

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17235: Token additional attributes are blank after editing (#1845) Affected Issues
17235
mod - application/helpers/update/updatedb_helper.php Diff File
mod - application/models/Survey.php Diff File

LimeSurvey: 3.x-LTS 1cc98f73

2021-04-20 15:11:45

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 17235: Token additional attributes are blank after editing (#1846) Affected Issues
17235
mod - application/helpers/update/updatedb_helper.php Diff File
mod - application/models/Survey.php Diff File

Issue History

Date Modified Username Field Change
2021-04-08 20:57 gabrieljenik New Issue
2021-04-08 20:57 gabrieljenik Status new => assigned
2021-04-08 20:57 gabrieljenik Assigned To => gabrieljenik
2021-04-09 16:27 gabrieljenik Project Development => Bug reports
2021-04-09 19:39 gabrieljenik Note Added: 63904
2021-04-15 22:51 gabrieljenik Complete LimeSurvey version number (& build) => 3.22.13
2021-04-15 22:56 gabrieljenik Note Added: 63982
2021-04-20 15:11 gabrieljenik Changeset attached => LimeSurvey master 44285343
2021-04-20 15:11 gabrieljenik Note Added: 64049
2021-04-20 15:11 gabrieljenik Resolution open => fixed
2021-04-20 15:11 gabrieljenik Changeset attached => LimeSurvey 3.x-LTS 1cc98f73
2021-04-20 15:11 gabrieljenik Note Added: 64050
2021-04-22 16:24 gabrieljenik Status assigned => resolved